using System;
using NinjaTrader.NinjaScript;

internal sealed class Delegate629 : MulticastDelegate
{
	public extern State Invoke(object object_0);

	public static State smethod_0(object object_0, Delegate629 delegate629_1)
	{
		return delegate629_1(object_0);
	}

	public extern Delegate629(object object_0, IntPtr intptr_0);

	static Delegate629()
	{
		Class10.smethod_13(typeof(Delegate629).TypeHandle);
	}

	internal static Delegate629 delegate629_0;
}
